Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface InternationalStringBranchType

All Superinterfaces:
  BranchType, org.eclipse.emf.ecore.EObject, FilterQueryType, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  InternationalStringBranchTypeImpl

    public interface InternationalStringBranchType

extends BranchType

A representation of the model object 'International String Branch Type'.

The following features are supported:

- `Localized String Filter`

See Also:
  `QueryPackage.getInternationalStringBranchType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getLocalizedStringFilter()` Returns the value of the 'Localized String Filter' containment reference list.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLocalizedStringFilter

    org.eclipse.emf.common.util.EList getLocalizedStringFilter()

  Returns the value of the 'Localized String Filter' containment reference list. The list contents are of type `FilterType`.

  If the meaning of the 'Localized String Filter' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Localized String Filter' containment reference list.
  See Also:
    `QueryPackage.getInternationalStringBranchType_LocalizedStringFilter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD